Fetch assessments (Deprecated)
curl --request GET \
--url https://api.eka.care/assess/fetch_assessments/ \
--header 'auth: <api-key>'import requests
url = "https://api.eka.care/assess/fetch_assessments/"
headers = {"auth": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<api-key>'}};
fetch('https://api.eka.care/assess/fetch_assessments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversations": {
"12345": [
{
"conversationid": "sa_123456",
"created_at": "2023-06-15T12:34:56Z",
"created_epoch": 1686820496,
"wfid": 1,
"share_to_abha": true
},
{
"conversationid": "sa_123457",
"created_at": "2023-06-16T12:34:56Z",
"created_epoch": 1686906896,
"wfid": 2,
"share_to_abha": false
}
],
"67890": [
{
"conversationid": "sn_987654",
"created_at": "2023-06-17T12:34:56Z",
"created_epoch": 1686993296,
"wfid": 3,
"share_to_abha": true
}
]
}
}{
"error": true,
"msg": "Invalid status value. Status should be among ['COMPLETED', 'IN_REVIEW']."
}{
"error": true,
"msg": "An unexpected error occurred."
}Assessment APIS
Fetch assessments (Deprecated)
deprecated
Fetch assessments for patients or doctors based on filters like status, workflow ID and date range.
GET
/
assess
/
fetch_assessments
/
Fetch assessments (Deprecated)
Fetch Assessments by ID
This API allows you to fetch assessments for patients or doctors based on various filters such as status, workflow IDs, and date range.Example Request
curl --location 'https://api.eka.care/assess/fetch_assessments/?status=COMPLETED&pids=174592378117946,174592378117944' \
--header 'Content-Type: application/json' \
--header 'HTTP_CLIENT_ID: eka' \
--header 'Authorization: Bearer <your-auth-token>'
Authorizations
apiKeyAuthauth
Query Parameters
Comma-separated list of patient IDs.
Example:
"12345,67890"
Patient UUID.
Example:
"430915f2-c802-4442-be8d-8c725fb83555"
Doctor ID.
Example:
"174359082080545"
Status of the assessment.
Available options:
COMPLETED, IN_REVIEW Start date for filtering assessments (YYYY-MM-DD).
Example:
"2023-01-01"
End date for filtering assessments (YYYY-MM-DD).
Example:
"2023-12-31"
Comma-separated list of workflow IDs.
Example:
"1,2,3"
Filter assessments that are ABHA linkable.
Example:
true
Number of results to return per page.
Offset for pagination.
Sort order for results.
Available options:
asc, desc Response
Successful response with assessment data.
Show child attributes
Show child attributes
Example:
{ "12345": [ { "conversationid": "sa_123456", "created_at": "2023-06-15T12:34:56Z", "created_epoch": 1686820496, "wfid": 1, "share_to_abha": true }, { "conversationid": "sa_123457", "created_at": "2023-06-16T12:34:56Z", "created_epoch": 1686906896, "wfid": 2, "share_to_abha": false } ], "67890": [ { "conversationid": "sn_987654", "created_at": "2023-06-17T12:34:56Z", "created_epoch": 1686993296, "wfid": 3, "share_to_abha": true } ] }
Was this page helpful?

